<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-button (click)="back()"><ion-icon name="md-arrow-back"></ion-icon></ion-button>
    </ion-buttons>
    <ion-title>{{ title }}</ion-title>
  </ion-toolbar>
  <ion-toolbar mode="ios" class="sub-toolbar">
    <ion-segment mode="ios" (ionChange)="segmentChanged($event)" [(ngModel)]="viewMode">
      <ion-segment-button value="details" mode="ios">
        <ion-label>Details</ion-label>
      </ion-segment-button>
      <ion-segment-button value="items" mode="ios">
        <ion-label>Items ({{orderItems.length}})</ion-label>
      </ion-segment-button>
    </ion-segment>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div *ngIf="viewMode == 'details'">
    <ion-row class="readonly ion-text-left" *ngIf="getFormValue('ID')">
      <ion-col size="9">
        <ion-label color="medium">Customer</ion-label>
        <p class="c-primary">{{getFormValue('CustomerName')}}</p>
      </ion-col>
      <ion-col size="3">
        <ion-label color="medium">Status</ion-label>
        <p class="c-primary">{{getFormValue('OrderStatus') | orderstatus}}</p>
      </ion-col>
    </ion-row>

    <form [formGroup]="form">
      <ion-item button="true" (click)="selectCustomer()" *ngIf="!getFormValue('ID')">
        <ion-label color="medium">
          <h2>Customer</h2>      
        </ion-label>
        <ion-textarea type="text" formControlName="CustomerName" [readonly]="true" [ngClass]="order.ID ? 'c-light' : ''"></ion-textarea>       
      </ion-item>
      <ion-item button="true">
        <ion-label color="medium">
          <h2>Delivery Date</h2>      
        </ion-label>
        <ion-datetime mode="ios" min="2020" max="2030" formControlName="DeliveryDate"></ion-datetime>
      </ion-item>
      <ion-item button="true">
        <ion-label color="medium">
          <h2>Payment Type</h2>      
        </ion-label>
        <ion-select mode="ios" formControlName="ModeOfPayment">
          <ion-select-option *ngFor="let payment of paymentMethods" [value]="payment.id">{{payment.name}}</ion-select-option>
        </ion-select>
      </ion-item>
      <ion-item button="true">
        <ion-label color="medium">
          <h2>Order Type</h2>      
        </ion-label>
        <ion-select mode="ios" formControlName="OrderType">
          <ion-select-option *ngFor="let type of orderTypes" [value]="type.id">{{type.name}}</ion-select-option>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-label color="medium">
          <h2>Remarks</h2>
        </ion-label>
        <ion-textarea formControlName="Remarks"></ion-textarea>
      </ion-item>
    </form>
  </div>

  <div *ngIf="viewMode == 'items'">
    <div class="order-items" hidden>
      <ion-button shape="round" mode="ios" (click)="addOrderItem()" *ngIf="getFormValue('CustomerID') && !ready_only">
        <span class="lbl-qty">items ({{orderItems.length}})</span>
        <ion-icon name="add" size="large"></ion-icon>
        <span class="lbl-amount">{{getFormValue('GrossTotal') | currency: ' '}}</span>
      </ion-button>
      <p class="lbl-amount" slot="end" hidden>{{getFormValue('GrossTotal') | currency: ' '}}</p>
    </div>

    <ion-row class="readonly ion-text-center">
      <ion-col size="3">
        <ion-label color="medium">Gross</ion-label>
        <p class="c-primary">{{getFormValue('GrossTotal') | currency: ' '}}</p>
      </ion-col>
      <ion-col size="3">
        <ion-label color="medium">Tax</ion-label>
        <p class="c-primary">{{getFormValue('TotalTax') | currency: ' '}}</p>
      </ion-col>
      <ion-col size="3">
        <ion-label color="medium">Discount</ion-label>
        <p class="c-primary">{{getFormValue('TotalDiscount') | currency: ' '}}</p>
      </ion-col>
      <ion-col size="3">
        <ion-label color="medium">Net</ion-label>
        <p class="c-primary">{{getFormValue('NetTotal') | currency: ' '}}</p>
      </ion-col>
    </ion-row>

    <ion-item-sliding *ngFor="let item of orderItems; index as $index">
      <ion-item-options side="start">
        <ion-item-option color="light" (click)="minus(item)">
          <ion-icon class="btn-qty" name="md-remove" size="large"></ion-icon>
        </ion-item-option>
        <ion-item-option color="light" (click)="plus(item)">
          <ion-icon class="btn-qty" name="md-add" size="large"></ion-icon>
        </ion-item-option>
        <ion-item-option color="medium" class="ion-text-center" (click)="priceRequest(item)">
          Price
          <br>
          Request
        </ion-item-option>
      </ion-item-options>
      
      <ion-item class="order-item">
        <ion-label>
          <h2 class="no-wrap">{{item.ItemName}}</h2>
          <p>Qty: {{item.Qty}}</p>
          <p>Price: {{item.Price | currency: ' '}}</p>        
          <p *ngIf="item.RequestedPrice">Requested Price: {{item.RequestedPrice | currency: ' '}}</p>
          <ion-row class="ion-text-center" hidden>
            <ion-col>
              <p>P: {{item.RequestedPrice | currency: ' '}}</p>
            </ion-col>
            <ion-col>
              <p>R: 0.00</p>
            </ion-col>
            <ion-col>
              <p>P: 0.00</p>
            </ion-col>
          </ion-row>
        </ion-label>
        <p slot="end" class="sub-total">{{item.Amount | currency: ' '}}</p>
      </ion-item>
  
      <ion-item-options side="end">
        <ion-item-option color="light" (click)="remove($index)">
          <ion-icon name="ios-trash" size="large" color="danger"></ion-icon>
        </ion-item-option>
      </ion-item-options>
      
    </ion-item-sliding>

    <ion-fab vertical="bottom" horizontal="end" slot="fixed">
      <ion-fab-button (click)="addOrderItem()" *ngIf="getFormValue('CustomerID') && !ready_only">
        <ion-icon name="add"></ion-icon>
      </ion-fab-button>
    </ion-fab>
  </div>
</ion-content>

<ion-footer *ngIf="!ready_only">
  <ion-button shape="round" mode="ios" (click)="save()" [disabled]="!form.valid">Save</ion-button>
</ion-footer>